DEVICE_GET_DRIVER(9)

NAME
device_get_driver - access the current driver of a device

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
driver_t *
device_get_driver(device_t dev);

DESCRIPTION
The current driver associated with the device is returned. If the device has no driver, NULL is returned.

SEE ALSO
device(9), driver(9)

AUTHORS
This manual page was written by Doug Rabson.